unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, GLObjects, GLScene, GLCoordinates,
  GLCrossPlatform, BaseClasses, GLWin32Viewer, GLGeomObjects;

type
  TForm1 = class(TForm)
    GLSceneViewer1: TGLSceneViewer;
    GLScene1: TGLScene;
    GLCamera1: TGLCamera;
    GLLightSource1: TGLLightSource;
    GLDummyCube1: TGLDummyCube;
    GLSphere1: TGLSphere;
    GLPlane1: TGLPlane;
    Timer1: TTimer;
    Button1: TButton;
    Button2: TButton;
    Timer2: TTimer;
    Button3: TButton;
    Timer3: TTimer;
    GLCylinder1: TGLCylinder;
    GLAnnulus1: TGLAnnulus;
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Timer3Timer(Sender: TObject);
  private
    { Private declarations }
    vel, t, dt : single;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


procedure TForm1.FormCreate(Sender: TObject);
begin
  t   := 0;
  dt  := 0.050;
  vel := 2.50/3;

  GLCylinder2.
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Timer1.Enabled := not Timer1.Enabled;
end;
procedure TForm1.Timer1Timer(Sender: TObject);
var
  xx : single;
begin
  xx := GLSphere1.Position.X + vel*dt;
  if xx>=  1.25 then vel := -vel;
  if xx<= -1.25 then vel := -vel;
  GLSphere1.Position.X := xx;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Timer2.Enabled := not Timer2.Enabled;
end;
procedure TForm1.Timer2Timer(Sender: TObject);
var
  xx : single;
begin
  xx := 1.25*sin(2*t*Pi/3 );
  GLSphere1.Position.X := xx;
  t := t + dt;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Timer3.Enabled := not Timer3.Enabled;
end;
procedure TForm1.Timer3Timer(Sender: TObject);
var
  xx,yy : single;
begin
  xx := 1.25*sin( 2*t*Pi/3 );
  yy := 1.25*cos( 2*t*Pi/3 );
  GLSphere1.Position.X := xx;
  GLSphere1.Position.Y := yy;
  t := t + dt;
end;



end.
